Endpoints
Search Brands
Returns a page of brands. Pass ids to keep specific brands. The directory is mostly perfume brands for now.
Authorization
APIKeyHeader licensex-api-key<token>
In: header
Scope: license
Query Parameters
ids?array<>|
Brand ids to include.
query?|
Case-insensitive substring matched against the name, labels, and description.
skip?Skip
The number of records to skip before fetching a page.
Default
0Range
0 <= valuetake?Take
Number of records to return.
Default
100Range
0 <= value <= 100sortColumn?BrandSortColumns
Field to sort by.
Default
"name"Value in
"name" | "modified_at"sortDirection?SortDirections
Sort direction.
Default
"desc"Value in
"asc" | "desc"returnTotal?Returntotal
When true, the response includes the total number of matching brands.
Default
falseResponse Body
application/json
application/json
curl -X GET "https://connect-api.trendtracker.ai/facts/brands"{
"data": [
{
"createdAt": "2019-08-24T14:15:22Z",
"modifiedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"labels": [
"string"
],
"website": "string",
"image": "string",
"description": "string",
"people": [
"string"
],
"metadata": {
"fragsi": "string",
"wikidata": "string",
"lineage": "string",
"brandtree": "string",
"organization": {
"name": "string",
"description": "string",
"image": "string",
"website": "string",
"city": "string",
"country": "string",
"founded": "string",
"ticker": [
"string"
],
"alternativeNames": [
"string"
]
}
},
"organizationIds": [
"fd846392-cc8b-40e0-8cea-70228902ca0a"
]
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}